Subject: Re: bug#67061: [PATCH] Improve syntax highlighting for python-ts-mode

From: Denis Zubarev <[email-masked]>
Date: Sat, 27 Jan 2024 13:47:08 +0300

I think, It can be closed since the patch was merged. I may send a new patch if I continue work on this.

27.01.2024, 12:49, "Eli Zaretskii" <[email-masked]>:

Ping! Ping! Can this bug be closed now, or do we have anything left to
do?

Cc: [email-masked], [email-masked]
Date: Sat, 20 Jan 2024 11:08:18 +0200
From: Eli Zaretskii <[email-masked]>

Ping! Should this bug be closed now?

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tue, 09 Jan 2024 22:03:33 +0200
> From: Eli Zaretskii <[email-masked]>
>
> > Date: Mon, 1 Jan 2024 19:42:16 +0200
> > Cc: "[email-masked]" <[email-masked]>
> > From: Dmitry Gutov <[email-masked]>
> >
> > On 23/12/2023 23:45, Denis Zubarev wrote:
> > > Just adding a rule for highlighting CamelCase identifiers as types would
> > > lead to many false positives. For example, global variables or an object
> > > instantiation.
> >
> > It seems like the convention is to use ALL_CAPITAL for constants and
> > CamelCase for classes/constructors. Those can be distinguished with a
> > regexp, with single-char names being sorted into constants, which they
> > usually are.
> >
> > I suppose some code could be violating that, but perhaps we should
> > remind such authors about that with highlighting as well.
> >
> > Regarding object instantiation, I'd be happy to see the class name in
> > Class(...) instantiation calls highlighted with font-lock-type-face.
> > that's more useful that telling the user that they are seeing a function
> > call by the means of font-lock-function-call-face.
>
> Is there anything else left to do here, or should I close this bug?
>
>
>
>